#
# spec file for package tiff (Version 3.5.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libjpeg libz
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tiff
Copyright:    1988-1996 Sam Leffler, 1991-1996 Silicon Graphics Inc.
Group:        Applications/Graphics
Autoreqprov:  on
URL:          http://www.libtiff.org/
Version:      3.5.5
Release:      209
Summary:      Tools for converting from/to tiff
Source: ftp://ftp.onshore.com/pub/libtiff/tiff-v%{version}.tar.bz2
Patch: tiff-v%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Library and support programs for the TIFF image format.
The sources of this package are in the source-package of libgr.

Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

SuSE series: gra

%package -n libtiff
Summary:      Tiff Library (with jpeg and compression support)
Group:        System Environment/Libraries
Autoreqprov:  on

%description -n libtiff
To link a program with this libtiff, you will have to add
-ljpeg and -lz to include the necessary libjpeg and libz
in the linking process.

Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

SuSE series: gra

%prep
%setup -n tiff-v%{version}
%patch

%build
MANPATH="%{_mandir}" ./configure --noninteractive
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/{man1,man3},usr/{bin,lib,include}}
make DESTDIR=$RPM_BUILD_ROOT MAN=$RPM_BUILD_ROOT/%{_mandir} install
ln -sf libtiff.so.3 $RPM_BUILD_ROOT/usr/lib/libtiff.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/fax2ps
/usr/bin/fax2tiff
/usr/bin/gif2tiff
/usr/bin/pal2rgb
/usr/bin/ppm2tiff
/usr/bin/ras2tiff
/usr/bin/rgb2ycbcr
/usr/bin/thumbnail
/usr/bin/tiff2bw
/usr/bin/tiff2ps
/usr/bin/tiffcmp
/usr/bin/tiffcp
/usr/bin/tiffdither
/usr/bin/tiffdump
/usr/bin/tiffinfo
/usr/bin/tiffmedian
/usr/bin/tiffsplit
%doc html
%doc %{_mandir}/man1/fax2ps.1.gz
%doc %{_mandir}/man1/fax2tiff.1.gz
%doc %{_mandir}/man1/gif2tiff.1.gz
%doc %{_mandir}/man1/pal2rgb.1.gz
%doc %{_mandir}/man1/ppm2tiff.1.gz
%doc %{_mandir}/man1/ras2tiff.1.gz
%doc %{_mandir}/man1/rgb2ycbcr.1.gz
%doc %{_mandir}/man1/sgi2tiff.1.gz
%doc %{_mandir}/man1/thumbnail.1.gz
%doc %{_mandir}/man1/tiff2bw.1.gz
%doc %{_mandir}/man1/tiff2ps.1.gz
%doc %{_mandir}/man1/tiffcmp.1.gz
%doc %{_mandir}/man1/tiffcp.1.gz
%doc %{_mandir}/man1/tiffdither.1.gz
%doc %{_mandir}/man1/tiffdump.1.gz
%doc %{_mandir}/man1/tiffgt.1.gz
%doc %{_mandir}/man1/tiffinfo.1.gz
%doc %{_mandir}/man1/tiffmedian.1.gz
%doc %{_mandir}/man1/tiffsplit.1.gz
%doc %{_mandir}/man1/tiffsv.1.gz
%doc %{_mandir}/man3/TIFFCheckTile.3t.gz
%doc %{_mandir}/man3/TIFFClose.3t.gz
%doc %{_mandir}/man3/TIFFComputeStrip.3t.gz
%doc %{_mandir}/man3/TIFFComputeTile.3t.gz
%doc %{_mandir}/man3/TIFFCurrentDirectory.3t.gz
%doc %{_mandir}/man3/TIFFCurrentRow.3t.gz
%doc %{_mandir}/man3/TIFFCurrentStrip.3t.gz
%doc %{_mandir}/man3/TIFFCurrentTile.3t.gz
%doc %{_mandir}/man3/TIFFDefaultStripSize.3t.gz
%doc %{_mandir}/man3/TIFFDefaultTileSize.3t.gz
%doc %{_mandir}/man3/TIFFError.3t.gz
%doc %{_mandir}/man3/TIFFFdOpen.3t.gz
%doc %{_mandir}/man3/TIFFFileName.3t.gz
%doc %{_mandir}/man3/TIFFFileno.3t.gz
%doc %{_mandir}/man3/TIFFFindCODEC.3t.gz
%doc %{_mandir}/man3/TIFFFlush.3t.gz
%doc %{_mandir}/man3/TIFFFlushData.3t.gz
%doc %{_mandir}/man3/TIFFGetField.3t.gz
%doc %{_mandir}/man3/TIFFGetMode.3t.gz
%doc %{_mandir}/man3/TIFFIsByteSwapped.3t.gz
%doc %{_mandir}/man3/TIFFIsMSB2LSB.3t.gz
%doc %{_mandir}/man3/TIFFIsTiled.3t.gz
%doc %{_mandir}/man3/TIFFIsUpSampled.3t.gz
%doc %{_mandir}/man3/TIFFLastDirectory.3t.gz
%doc %{_mandir}/man3/TIFFNumberOfStrips.3t.gz
%doc %{_mandir}/man3/TIFFNumberOfTiles.3t.gz
%doc %{_mandir}/man3/TIFFOpen.3t.gz
%doc %{_mandir}/man3/TIFFPrintDirectory.3t.gz
%doc %{_mandir}/man3/TIFFRGBAImage.3t.gz
%doc %{_mandir}/man3/TIFFRGBAImageBegin.3t.gz
%doc %{_mandir}/man3/TIFFRGBAImageEnd.3t.gz
%doc %{_mandir}/man3/TIFFRGBAImageGet.3t.gz
%doc %{_mandir}/man3/TIFFRGBAImageOK.3t.gz
%doc %{_mandir}/man3/TIFFReadBufferSetup.3t.gz
%doc %{_mandir}/man3/TIFFReadDirectory.3t.gz
%doc %{_mandir}/man3/TIFFReadEncodedStrip.3t.gz
%doc %{_mandir}/man3/TIFFReadEncodedTile.3t.gz
%doc %{_mandir}/man3/TIFFReadRGBAImage.3t.gz
%doc %{_mandir}/man3/TIFFReadRawStrip.3t.gz
%doc %{_mandir}/man3/TIFFReadRawTile.3t.gz
%doc %{_mandir}/man3/TIFFReadScanline.3t.gz
%doc %{_mandir}/man3/TIFFReadTile.3t.gz
%doc %{_mandir}/man3/TIFFRegisterCODEC.3t.gz
%doc %{_mandir}/man3/TIFFReverseBits.3t.gz
%doc %{_mandir}/man3/TIFFScanlineSize.3t.gz
%doc %{_mandir}/man3/TIFFSetDirectory.3t.gz
%doc %{_mandir}/man3/TIFFSetErrorHandler.3t.gz
%doc %{_mandir}/man3/TIFFSetField.3t.gz
%doc %{_mandir}/man3/TIFFSetSubDirectory.3t.gz
%doc %{_mandir}/man3/TIFFSetWarningHandler.3t.gz
%doc %{_mandir}/man3/TIFFStripSize.3t.gz
%doc %{_mandir}/man3/TIFFSwabArrayOfLong.3t.gz
%doc %{_mandir}/man3/TIFFSwabArrayOfShort.3t.gz
%doc %{_mandir}/man3/TIFFSwabLong.3t.gz
%doc %{_mandir}/man3/TIFFSwabShort.3t.gz
%doc %{_mandir}/man3/TIFFTileRowSize.3t.gz
%doc %{_mandir}/man3/TIFFTileSize.3t.gz
%doc %{_mandir}/man3/TIFFUnRegisterCODEC.3t.gz
%doc %{_mandir}/man3/TIFFVGetField.3t.gz
%doc %{_mandir}/man3/TIFFVSetField.3t.gz
%doc %{_mandir}/man3/TIFFVStripSize.3t.gz
%doc %{_mandir}/man3/TIFFVTileSize.3t.gz
%doc %{_mandir}/man3/TIFFWarning.3t.gz
%doc %{_mandir}/man3/TIFFWriteBufferSetup.3t.gz
%doc %{_mandir}/man3/TIFFWriteDirectory.3t.gz
%doc %{_mandir}/man3/TIFFWriteEncodedStrip.3t.gz
%doc %{_mandir}/man3/TIFFWriteEncodedTile.3t.gz
%doc %{_mandir}/man3/TIFFWriteRawStrip.3t.gz
%doc %{_mandir}/man3/TIFFWriteRawTile.3t.gz
%doc %{_mandir}/man3/TIFFWriteScanline.3t.gz
%doc %{_mandir}/man3/TIFFbuffer.3t.gz
%doc %{_mandir}/man3/TIFFcodec.3t.gz
%doc %{_mandir}/man3/TIFFfree.3t.gz
%doc %{_mandir}/man3/TIFFmalloc.3t.gz
%doc %{_mandir}/man3/TIFFmemcmp.3t.gz
%doc %{_mandir}/man3/TIFFmemcpy.3t.gz
%doc %{_mandir}/man3/TIFFmemory.3t.gz
%doc %{_mandir}/man3/TIFFmemset.3t.gz
%doc %{_mandir}/man3/TIFFquery.3t.gz
%doc %{_mandir}/man3/TIFFrealloc.3t.gz
%doc %{_mandir}/man3/TIFFsize.3t.gz
%doc %{_mandir}/man3/TIFFstrip.3t.gz
%doc %{_mandir}/man3/TIFFswab.3t.gz
%doc %{_mandir}/man3/TIFFtile.3t.gz
%doc %{_mandir}/man3/libtiff.3t.gz

%files -n libtiff
/usr/include/tiff.h
/usr/include/tiffio.h
/usr/lib/libtiff.a
/usr/lib/libtiff.so
/usr/lib/libtiff.so.3

%changelog -n tiff
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 15 2001 - schwab@suse.de
- Fix for ia64.
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Thu May 25 2000 - schwab@suse.de
- Fix dso configure check for ia64.
* Thu May 11 2000 - nadvornik@suse.cz
- update to 3.5.5
- added BuildRoot
* Tue Jan 25 2000 - ro@suse.de
- manpages to /usr/share using macro
* Mon Jan 03 2000 - schwab@suse.de
- Update to 3.5.4 (Y2K fix)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 13 1999 - ro@suse.de
- respect systems where libc is libc.so.6.1 (alpha)
* Wed Nov 25 1998 - ro@suse.de
- update to 3.4 (final) named 3.4.final for rpm
- moved from /usr/X11R6 to /usr
* Wed Jul 29 1998 - werner@suse.de
- Link shared libs explicit with -lc
* Tue May 12 1998 - ro@suse.de
- extracted package from libgr / build from own sources
